package genius.core.uncertainty;

import java.util.List;

import genius.core.Domain;
import genius.core.utility.AbstractUtilitySpace;




/**
 * @author Dimitrios Tsimpoukis
 * 
 * MAJOR class for the introduction of uncertainty to the agents in the form of a Pairwise Comparison User Model.
 * Any object of this class contains a list of all the possible outcomes of the domain WITHOUT knowledge of their 
 * utilities, a list of pairwise comparisons between outcomes the amount of which is specified by the user, and
 * finally the evaluator of the issue values for the particular domain (will be probably removed later for cases
 * of total uncertainty)
 *
 */

public class ExperimentalPairwiseComparisonUserModel extends PairwiseComparisonUserModel{
	
	private Domain domain;
	private AbstractUtilitySpace realUSpace;
	

	
	/**
	 * @param allOutcomes
	 * @param bidComparisons
	 * @param issueMap
	 */
	
	public ExperimentalPairwiseComparisonUserModel(List<OutcomeComparison> bidComparisons, AbstractUtilitySpace realUSpace) {
		super(bidComparisons);
		this.realUSpace = realUSpace;
		this.domain = bidComparisons.get(0).getBid1().getDomain();
		System.out.println("experimental");
//		comparisonsToString();
	}
	

	public List<OutcomeComparison> getBidComparisons() {
		return bidComparisons;
	}



	public AbstractUtilitySpace getRealUSpace() {
		return realUSpace;
	}


	public Domain getDomain() {
		return domain;
	}

	
	
}


