package genius.core.uncertainty;

import java.util.ArrayList;
import java.util.List;

import genius.core.Domain;




/**
 * @author Dimitrios Tsimpoukis
 * 
 * Important class for the introduction of uncertainty to the agents in the form of a Pairwise Comparison User Model.
 * Any object of this class contains a list of all the possible outcomes of the domain WITHOUT knowledge of their 
 * utilities, a list of pairwise comparisons between outcomes the amount of which is specified by the user, and
 * finally the evaluator of the issue values for the particular domain (will be probably removed later for cases
 * of total uncertainty)
 *
 */
public class PairwiseComparisonUserModel{

	
	protected List<OutcomeComparison> bidComparisons = new ArrayList<OutcomeComparison>();

	/**
	 * @param allOutcomes
	 */
	public PairwiseComparisonUserModel(List<OutcomeComparison> bidComparisons) {
		this.bidComparisons = bidComparisons;
	}
	
	public void comparisonsToString() {
		for (OutcomeComparison comparison : bidComparisons) {
			System.out.println(comparison.toString());
		}
	}


	public List<OutcomeComparison> getBidComparisons() {
		return bidComparisons;
	}
	
	public Domain getDomain() {
		return this.bidComparisons.get(0).getBid1().getDomain();
	}
}


